IEEE_TEST(3)

NAME
scalb, scalbf, significand, significandf - IEEE test functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
scalb(double x, double n);
float
scalbf(float x, float n);
double
significand(double x);
float
significandf(float x);

DESCRIPTION
These functions allow users to test conformance to ieee754. Their use is not otherwise recommended.

scalb(x, n) and scalbf(x, n) return x*(2**n) computed by exponent manipulation. If n is not an integer, , or an , the result is unspecified.

significand(x) and significandf(x) return sig, where x := sig * 2**n with 1 ≤ sig < 2. significand(x) and significandf(x) are not defined when x is 0, , or .

SEE ALSO
ieee(3), math(3)

STANDARDS
ieee754